#include <sys/prctl.h>
#include <unistd.h>
#include <sys/time.h>
#include <stdio.h>

int main(void)
{
	struct timeval tv1, tv2;
	unsigned long count = 0;

	gettimeofday(&tv1, NULL);
	do {
		prctl(PR_GET_DUMPABLE, 0, 0, 0, 0);
		count++;
	} while (count < 10000000);
	gettimeofday(&tv2, NULL);
	tv2.tv_sec -= tv1.tv_sec;
	if (tv2.tv_usec > tv1.tv_usec) {
		tv2.tv_usec -= tv1.tv_usec;
	} else {
		tv2.tv_usec = tv2.tv_usec + 1000000 - tv1.tv_usec;
		tv2.tv_sec--;
	}
	printf("count = %lu, took %ld.%06ld \n", count, tv2.tv_sec, tv2.tv_usec);
	return 0;
}

